Skip to content

Receive Nango Webhook

POST
/api/v3/webhooks/nango
curl --request POST \
--url https://example.com/api/v3/webhooks/nango

Verify and reconcile one Nango OAuth lifecycle callback.

X-Nango-Hmac-Sha256
Any of:
string

Successful Response

Media typeapplication/json
NangoWebhookResponse

Secret-free provider callback result.

object
accepted
required
Accepted
boolean
stored
required
Stored
boolean
Examplegenerated
{
"accepted": true,
"stored": true
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}